PHP Manual
Prev |  | Next

# xdiff_string_diff

(PECL)

xdiff_string_diff -- Make unified diff of two strings

## Description

string xdiff_string_diff ( string str1, string str2 [, int context [, bool minimal]] )

Makes a unified diff of two strings.

## Parameters

`str1`

`str2`

`context`

  Indicates how many lines of context you want to include in the diff result.

`minimal`

  Set this parameter to `TRUE` if you want to minimalize the size of the diff (can take a long time).

## Return Values

Returns string with result or `FALSE` if an internal error happened.

## Examples

Example 1. xdiff_string_diff() example

The following code makes unified diff of two articles.

`<?php $old_article = file_get_contents('./old_article.txt'); $new_article = $_REQUEST['article']; /* Let's say that someone pasted a new article to html form */ $diff = xdiff_string_diff($old_article, $new_article, 1); if (is_string($diff)) { echo "Differences between two articles:\n"; echo $diff; } ?>`

## Notes

> Note: This function doesn't work well with binary strings. To make diff of binary strings use xdiff_string_diff_binary().

## See Also

xdiff_file_diff()

Prev | Home | Next
xdiff_string_diff_binary | Up | xdiff_string_merge3